V1.0
get
/ec-designer-svc/rest/v1.0/studies/all
Retrieves a list of all study versions of the specified tenants.
Request
Query Parameters
-
studyType: string
Study type. Allowed values: STANDARD (regular study), LIBRARY (reusable library study). Example: LIBRARY. Optional.Default Value:
STANDARDExample:STANDARD -
tenants: array[string]
List of tenants name Optional.Example:
acme
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
stringExamples
404 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}